
#include "cloud.h"

/*
Mutation of JRC version of Kriebel and Saunders, DAYTIME algorithm.
Will also work at nighttime PROVIDED that nighttime dummy reflectance values
R1 and R2 are <= 0.

Returns 0 if clear pixel, non-zero if cloudy pixel.
*/
int iscloud(float R1, float R2, float T32)
{
	int test1, test2, test3, test4;

/*	test1 = (R1 + R2) > 1.2F; */
	test1 = (R1 + R2) > 0.9F;
	test2 = T32 < 265.0F;
/*	test3 = (R1 + R2) > 0.8F; */
	test3 = (R1 + R2) > 0.7F;
	test4 = T32 < 285.0F;

	return test1 || test2 || (test3 && test4);
}

