
/*
A structure to contain only the relevent HDF information from
the MOD021KM and MOD03 input granules.
*/
typedef struct {
	int32	sd_id_mod02;
	int32	sds_index_emiss;
	int	index21, index22, index31, index32;
	int32	sds_index_ref;
	int32	sds_index_ref500;
	int	index1, index2, index7;

	int32	sd_id_mod03;
	int32	sds_index_lat, sds_index_lon;
	int32	sds_index_viewzen, sds_index_solzen;
	int32	sds_index_viewaz, sds_index_solaz;
	int32	sds_index_landsea;

	float	scale_solzen, scale_solaz;
	float	scale_viewzen, scale_viewaz;

	UBYTE	dead21[LINES_PER_SCAN_1KM], dead22[LINES_PER_SCAN_1KM];
	UBYTE	dead31[LINES_PER_SCAN_1KM], dead32[LINES_PER_SCAN_1KM];

	int		nscans;
	enum Satellite	sat;
	} HDF_InputInfo;


typedef struct {
	int32	sd_id_fire;
	int32	sds_index_mask;
	int32	sds_index_qa;

	int32	sds_index_T21;
	int32	sds_index_T31;
	int32	sds_index_T32;

	int32	sd_id_coarse;
	int32	sds_index_coarse_mask;
	int32	sds_index_coarse_lat;
	int32	sds_index_coarse_lon;
	} HDF_OutputInfo;





int InitInputHDF(int32, int32, HDF_InputInfo *);
int InitOutputHDF(int32, int32, int, HDF_OutputInfo *);
int ReadScaleFactor(int32 sds_id, float32 *scale_factor);

int ReadScan(HDF_InputInfo *hinfo, int iscan, Scan *);
int WriteScan(HDF_OutputInfo *hinfo, int iscan, Scan *);
int write_fire_attributes(int32 sd_id, FireCounts *);
int write_generic_attributes(int32 sd_id, char *, char *, enum Satellite sat);

